package com.ruoyi.common.config;

import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * 阿里云 DashScope 配置类
 *
 * @author ruoyi
 * @date 2026-05-19
 */
@Component
@ConfigurationProperties(prefix = "alibaba.dashscope")
public class DashScopeProperties
{
    /**
     * API Key
     */
    private String apiKey;

    public String getApiKey()
    {
        return apiKey;
    }

    public void setApiKey(String apiKey)
    {
        this.apiKey = apiKey;
    }
}
